So simple Rated 4 out of 5 stars

Excellent plugin, and it is getting better.

Little answer to Matt's post: you can also install the beta version from the "development channel", which seems to solve all issues with FF 11.0

This review is for a previous version of the add-on (1.5.4.1-signed).